Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
insight
/
kpi
/
checkout
List checkout kpis
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/insight/kpi/checkout \
  --header 'Authorization: Bearer <token>'
[
  {
    "kpi_name": "avg",
    "values": [
      {
        "value": 123,
        "date": "2023-11-07T05:31:56Z",
        "currency": "NOK"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

interval
enum<string>
required

The interval over which the data will be aggregated.

Available options:
day,
week,
month
field
enum<string>
required

The field (db column) used as source for the kpi, eg, total_amount, vat etc.

Available options:
total_amount
transaction_status
enum<string>
required

Only transactions with this status will be included in the aggregation

Available options:
CAPTURED,
REFUNDED,
AUTHORIZED
aggregate_functions
string
required

The functions applied to the data for every interval.

  • The functions should be provided as a stringified array
  • At least one function must be provided, currency must be combined with another function

Available functions:

  • sum
  • avg
  • count
  • currency
event_created_at_gte
string

Transaction events with created_at date at or later than this date will be included in the aggregations.
If this date parameter is not included, all transactions regardless of creation date are included.
NB! This is not the transactions created_at date, this is the date the event was created (e.g AUTHORIZE, CAPTURE etc..)

Response

Checkout KPIs

kpi_name
enum<string>
required
Available options:
avg,
sum,
count
values
object[]
required